Package org.jbpm.services.task.audit.service

## Class TaskAuditServiceImpl

- java.lang.Object
- - org.jbpm.services.task.audit.service.TaskAuditServiceImpl

- All Implemented Interfaces:
    `TaskAuditService`

      public class TaskAuditServiceImpl
      extends Object
      implements TaskAuditService

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskAuditServiceImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.kie.internal.task.query.AuditTaskQueryBuilder` | `auditTaskQuery()` |
    `List<org.kie.internal.task.api.AuditTask>` | `getAllAdminAuditTasksByUser​(String userId, org.kie.internal.query.QueryFilter filter)` |
    `List<org.kie.internal.task.api.AuditTask>` | `getAllAuditTasks​(org.kie.internal.query.QueryFilter filter)` |
    `List<org.kie.internal.task.api.AuditTask>` | `getAllAuditTasksByStatus​(String userId, org.kie.internal.query.QueryFilter filter)` |
    `List<org.kie.internal.task.api.AuditTask>` | `getAllAuditTasksByUser​(String userId, org.kie.internal.query.QueryFilter filter)` |
    `List<org.kie.internal.task.api.AuditTask>` | `getAllGroupAuditTasksByUser​(String userId, org.kie.internal.query.QueryFilter filter)` |
    `List<org.kie.internal.task.api.model.TaskEvent>` | `getAllTaskEvents​(long taskId, org.kie.internal.query.QueryFilter filter)` |
    `List<org.kie.internal.task.api.model.TaskEvent>` | `getAllTaskEventsByProcessInstanceId​(long processInstanceId, org.kie.internal.query.QueryFilter filter)` |
    `void` | `setTaskService​(org.kie.api.task.TaskService taskService)` |
    `org.kie.internal.task.query.TaskEventQueryBuilder` | `taskEventQuery()` |
    `org.kie.internal.task.query.TaskVariableQueryBuilder` | `taskVariableQuery()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskAuditServiceImpl

          public TaskAuditServiceImpl()

  - ### Method Detail

    - #### getAllTaskEvents

          public List<org.kie.internal.task.api.model.TaskEvent> getAllTaskEvents​(long taskId,
                                                                                  org.kie.internal.query.QueryFilter filter)

      Specified by:
        `getAllTaskEvents` in interface `TaskAuditService`

    - #### getAllTaskEventsByProcessInstanceId

          public List<org.kie.internal.task.api.model.TaskEvent> getAllTaskEventsByProcessInstanceId​(long processInstanceId,
                                                                                                     org.kie.internal.query.QueryFilter filter)

      Specified by:
        `getAllTaskEventsByProcessInstanceId` in interface `TaskAuditService`

    - #### getAllAuditTasks

          public List<org.kie.internal.task.api.AuditTask> getAllAuditTasks​(org.kie.internal.query.QueryFilter filter)

      Specified by:
        `getAllAuditTasks` in interface `TaskAuditService`

    - #### getAllAuditTasksByUser

          public List<org.kie.internal.task.api.AuditTask> getAllAuditTasksByUser​(String userId,
                                                                                  org.kie.internal.query.QueryFilter filter)

      Specified by:
        `getAllAuditTasksByUser` in interface `TaskAuditService`

    - #### setTaskService

          public void setTaskService​(org.kie.api.task.TaskService taskService)

      Specified by:
        `setTaskService` in interface `TaskAuditService`

    - #### getAllGroupAuditTasksByUser

          public List<org.kie.internal.task.api.AuditTask> getAllGroupAuditTasksByUser​(String userId,
                                                                                       org.kie.internal.query.QueryFilter filter)

      Specified by:
        `getAllGroupAuditTasksByUser` in interface `TaskAuditService`

    - #### getAllAdminAuditTasksByUser

          public List<org.kie.internal.task.api.AuditTask> getAllAdminAuditTasksByUser​(String userId,
                                                                                       org.kie.internal.query.QueryFilter filter)

      Specified by:
        `getAllAdminAuditTasksByUser` in interface `TaskAuditService`

    - #### getAllAuditTasksByStatus

          public List<org.kie.internal.task.api.AuditTask> getAllAuditTasksByStatus​(String userId,
                                                                                    org.kie.internal.query.QueryFilter filter)

      Specified by:
        `getAllAuditTasksByStatus` in interface `TaskAuditService`

    - #### taskVariableQuery

          public org.kie.internal.task.query.TaskVariableQueryBuilder taskVariableQuery()

      Specified by:
        `taskVariableQuery` in interface `TaskAuditService`

    - #### taskEventQuery

          public org.kie.internal.task.query.TaskEventQueryBuilder taskEventQuery()

      Specified by:
        `taskEventQuery` in interface `TaskAuditService`

    - #### auditTaskQuery

          public org.kie.internal.task.query.AuditTaskQueryBuilder auditTaskQuery()

      Specified by:
        `auditTaskQuery` in interface `TaskAuditService`